<template>
    <div class='mx-6 sm:mx-14'>
        <p class='text-4xl mb-10 sm:text-5xl font-bold text-xmas-gray sm:text-center'>Добре дошъл</p>
        <p class='text-xmas-olive text-center mt-3'>Преди да продължиш се запознай добре с правилата за участие тази година. Това е изключително важно, за да може всички да си прекараме страхотно и да запазим Коледния Дух!</p>
        <div class='flex flex-col sm:flex-row space-y-5 sm:space-y-0 mt-10 justify-between'>
            <router-link class="text-md bg-xmas-olive text-white px-5 py-3 rounded-lg cursor-pointer" to="terms">Правила за участие</router-link>
            <router-link class="text-md bg-xmas-olive text-white px-5 py-3 rounded-lg cursor-pointer" to="unboxing">#ГолямотоРазопаковане</router-link>
        </div>
        <a @click='terms = !terms' class='h-7 cursor-pointer flex space-x-4 items-center mb-5 text-xmas-olive mt-10'>
            <img src='images/circle.png' v-if='! terms' class='w-6' />
            <img src='images/circle-active.png' v-if='terms' class='w-6' />
            <p class='text-xs '>Прочетох и разбрах и двете секции посочени по-горе. Честно.</p>
        </a>
        <ButtonStack :disabled="v$.$invalid" @click='advance'></ButtonStack>
    </div>
</template>

<script>     
    import Text from '@/components/Text'
    import ButtonStack from '@/components/ButtonStack'
    import useVuelidate from '@vuelidate/core' 
    import { helpers, required, email, minLength, sameAs, maxLength } from '@vuelidate/validators'    

     export default {
        name: 'Step 1',
        components: {
            Text,
            ButtonStack,
        },
        data() {
            return {
                terms   : false,
            }
        },
        methods: {
            advance() {
                this.$store.dispatch("register/advance")
            },
            openTerms() {
                this.$router.push({ name: 'terms' })
            },
        },
        setup() {
            return { v$: useVuelidate() }
        },
        validations: {
            terms: {
                required: sameAs(true),
            }
        }
    }
</script>